// (c) MIT 2003.  All rights reserved.

// $Id: TargetReasoner.java,v 1.3 2003/03/06 00:40:48 moltmans Exp $
// Time-stamp: <2000-03-11 18:54:46 moltmans>
package rec.core.reasoners;


import rec.sys.*;
import rec.util.*;

public abstract class TargetReasoner extends Reasoner
  implements EditModeReasoner
{

  public TargetReasoner( Object arg ) 
  {
    Assert.error( "Don't use this constructor anymore" );
  }

  public TargetReasoner()
  {
    m_TargetWidget = null;
  }

  /////////////////////////////////////////////////////////////////////////////


  public void setModeArg( Object arg )
  {
    m_TargetWidget = (Widget)arg;
  }

  public Widget getTarget()
  {
    return( m_TargetWidget );
  }

  /////////////////////////////////////////////////////////////////////////////

  private Widget m_TargetWidget;
}

///////////////////////////////////////////////////////////////////////////////
